from pydantic import BaseModel
from pydantic.utils import Optional


class Table(BaseModel):
    name: Optional[str]
    column: Optional[str]
    type: Optional[str]
    column_data: Optional[list]
    row_number: Optional[str]
    columns: Optional[list]
    columns_data: Optional[list]


class Sort(BaseModel):
    property: str
    order: str
    priority: str


class Filter(BaseModel):
    property: str
    value: str
    function: str
